CMSCompressedDataParser (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class CMSCompressedDataParser

- java.lang.Object
- - org.bouncycastle.cms.CMSContentInfoParser
  - - org.bouncycastle.cms.CMSCompressedDataParser

-     public class CMSCompressedDataParser
      extends CMSContentInfoParser

  Class for reading a CMS Compressed Data stream.

           CMSCompressedDataParser cp = new CMSCompressedDataParser(inputStream);

           process(cp.getContent(new ZlibExpanderProvider()).getContentStream());

  Note: this class does not introduce buffering - if you are processing large files you should create the parser with:

            CMSCompressedDataParser     ep = new CMSCompressedDataParser(new BufferedInputStream(inputStream, bufSize));

  where bufSize is a suitably large buffer size.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.CMSContentInfoParser

      `_contentInfo, _data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSCompressedDataParser(byte[] compressedData)`
    `CMSCompressedDataParser(java.io.InputStream compressedData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMSTypedStream` | `getContent(InputExpanderProvider expanderProvider)` Return a typed stream which will allow the reading of the compressed content in expanded form.

    - ### Methods inherited from class org.bouncycastle.cms.CMSContentInfoParser

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSCompressedDataParser

          public CMSCompressedDataParser(byte[] compressedData)
                                  throws CMSException

      Throws:
        `CMSException`

    - #### CMSCompressedDataParser

          public CMSCompressedDataParser(java.io.InputStream compressedData)
                                  throws CMSException

      Throws:
        `CMSException`

  - ### Method Detail

    - #### getContent

          public CMSTypedStream getContent(InputExpanderProvider expanderProvider)
                                    throws CMSException

      Return a typed stream which will allow the reading of the compressed content in expanded form.
      Parameters:
        `expanderProvider` - a provider of expander algorithm implementations.
      Returns:
        a type stream which will yield the un-compressed content.
      Throws:
        `CMSException` - if there is an exception parsing the CompressedData object.